Bug 237289 - dbus: Can't send to audit system
dbus: Can't send to audit system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On: 221168
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 13:00 EDT by David Zeuthen
Modified: 2013-03-05 22:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2007-04-20 13:00:15 EDT
+++ This bug was initially created as a clone of Bug #221168 +++

Description of problem:
Whenever I update my 'local' policy using 'semodule -i local.pp', I get the
following error in my syslog:

dbus: Can't send to audit system: USER_AVC avc:  received policyload notice
(seqno=5) : exe="/bin/dbus-daemon" (sauid=505, hostname=?, addr=?, terminal=?)

-- Additional comment from bugzilla@kosowsky.org on 2007-03-18 09:26 EST --
Is this going to be fixed?????

-- Additional comment from bugzilla@kosowsky.org on 2007-03-27 20:33 EST --
Still haven't heard anything on this whether or not it is meaningful and whether
or not it will be fixed...

-- Additional comment from dwalsh@redhat.com on 2007-03-28 16:19 EST --
This seems to be an audit problem.  Audit messages are not being allowed to be
sent if your uid is not 0.

-- Additional comment from dwalsh@redhat.com on 2007-04-02 13:57 EST --
Created an attachment (id=151452)
Start SELinux thread after setuid call.


-- Additional comment from dwalsh@redhat.com on 2007-04-02 14:00 EST --
Capabilities do not seem to be set cross threads. So if you setuid and retain
certain capabilities after thread creation.  The other threads will not get the
capability.  Moving the creation of the thread after the setuid/capset calls.
gives all threads the capability and the dbus code works.

This patch should be applied to RHEL5/FC6/and devel

-- Additional comment from bugzilla@kosowsky.org on 2007-04-11 13:11 EST --
Has the patch been applied yet?

-- Additional comment from davidz@redhat.com on 2007-04-12 15:15 EST --
Applied.

-- Additional comment from bugzilla@kosowsky.org on 2007-04-13 03:53 EST --
I have a fully updated FC6 system and still get the same errors when doing a
'setenforce' operation.

Is a reboot or other service restart required to fix this problem?

-- Additional comment from dwalsh@redhat.com on 2007-04-13 09:44 EST --
You need to restart dbus for this to take effect.  The best way to do this is to
reboot, since restarting the messagebus will cause certain desktop apps to blow up.

-- Additional comment from bugzilla@kosowsky.org on 2007-04-14 23:44 EST --
I still am getting the errors. Is this only patched in rawhide or will it be
backported to FC6?

-- Additional comment from sgrubb@redhat.com on 2007-04-15 08:46 EST --
I am pretty sure its built only for rawhide at this point. But if the problem is
also in FC6, it should be built there too. The patch is not terribly invasive.

-- Additional comment from bugzilla@kosowsky.org on 2007-04-18 18:40 EST --
Would be great to see it fixed in FC6 since I noticed and reported this bug back
in January on my FC6 system (I am the original bug poster to this thread so I am
assuming we are talking about the same thing :)

Thanks
Comment 1 David Zeuthen 2007-04-22 20:52:43 EDT
dbus-1.0.1-12.fc6 should appear in updates-testing for FC6 when the someone from
RelEng pushes it - please test this and let me know if the fix works. Thanks.
Comment 2 Fedora Update System 2007-04-24 16:44:36 EDT
dbus-1.0.1-12.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2007-04-30 18:11:09 EDT
dbus-1.0.1-12.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Bug Zapper 2008-04-04 02:54:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:31:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.